package cn.com.qmth.examcloud.task.api.controller.bean;

import java.util.Date;

import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

/**
 * 考生导入
 *
 * @author WANGWEI
 * @date 2018年7月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class ExamStudentImportDomain implements JsonSerializable {

	private static final long serialVersionUID = -3080614059689123498L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 批次ID
	 */
	private Long batchId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 考试名称
	 */
	private String examName;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 顶级机构名称
	 */
	private String rootOrgName;

	/**
	 * 状态
	 */
	private String status;

	/**
	 * 状态描述
	 */
	private String statusDesc;

	/**
	 * 错误描述
	 */
	private String errorDesc;

	/**
	 * 文件名
	 */
	private String fileName;

	/**
	 * 文件路径
	 */
	private String filePath;

	/**
	 * 结果通知文件
	 */
	private String resultFilePath;

	/**
	 * 总条数
	 */
	private Long totalNum;

	/**
	 * 成功条数
	 */
	private Long successNum;

	/**
	 * 失败条数
	 */
	private Long failNum;

	/**
	 * 更新时间
	 */
	private Date updateTime;

	/**
	 * 创建时间
	 */
	private Date creationTime;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getBatchId() {
		return batchId;
	}

	public void setBatchId(Long batchId) {
		this.batchId = batchId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public String getRootOrgName() {
		return rootOrgName;
	}

	public void setRootOrgName(String rootOrgName) {
		this.rootOrgName = rootOrgName;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getStatusDesc() {
		return statusDesc;
	}

	public void setStatusDesc(String statusDesc) {
		this.statusDesc = statusDesc;
	}

	public String getErrorDesc() {
		return errorDesc;
	}

	public void setErrorDesc(String errorDesc) {
		this.errorDesc = errorDesc;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getResultFilePath() {
		return resultFilePath;
	}

	public void setResultFilePath(String resultFilePath) {
		this.resultFilePath = resultFilePath;
	}

	public Long getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Long totalNum) {
		this.totalNum = totalNum;
	}

	public Long getSuccessNum() {
		return successNum;
	}

	public void setSuccessNum(Long successNum) {
		this.successNum = successNum;
	}

	public Long getFailNum() {
		return failNum;
	}

	public void setFailNum(Long failNum) {
		this.failNum = failNum;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Date getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(Date creationTime) {
		this.creationTime = creationTime;
	}

}
