package cn.com.qmth.examcloud.task.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.task.api.DataSyncCloudService;
import cn.com.qmth.examcloud.task.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.task.api.request.SyncExamReq;
import cn.com.qmth.examcloud.task.api.request.SyncExamStudentReq;
import cn.com.qmth.examcloud.task.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.task.api.request.SyncSpecialtyReq;
import cn.com.qmth.examcloud.task.api.request.SyncStudentReq;
import cn.com.qmth.examcloud.task.api.response.SyncCourseResp;
import cn.com.qmth.examcloud.task.api.response.SyncExamResp;
import cn.com.qmth.examcloud.task.api.response.SyncExamStudentResp;
import cn.com.qmth.examcloud.task.api.response.SyncOrgResp;
import cn.com.qmth.examcloud.task.api.response.SyncSpecialtyResp;
import cn.com.qmth.examcloud.task.api.response.SyncStudentResp;
import cn.com.qmth.examcloud.task.service.DataSyncService;

/**
 * 数据同步
 *
 * @author WANGWEI
 * @date 2018年8月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@RestController
@RequestMapping("${$rmp.cloud.task}" + "dataSync")
public class DataSyncCloudServiceProvider extends ControllerSupport
		implements
			DataSyncCloudService {

	private static final long serialVersionUID = -2880611326177571371L;

	@Autowired
	DataSyncService dataSyncService;

	@PostMapping("syncCourse")
	@Override
	public SyncCourseResp syncCourse(@RequestBody SyncCourseReq req) {

		return null;
	}

	@PostMapping("syncOrg")
	@Override
	public SyncOrgResp syncOrg(@RequestBody SyncOrgReq req) {

		return null;
	}

	@PostMapping("syncStudent")
	@Override
	public SyncStudentResp syncStudent(@RequestBody SyncStudentReq req) {

		cn.com.qmth.examcloud.commons.api.request.SyncStudentReq r = new cn.com.qmth.examcloud.commons.api.request.SyncStudentReq();
		r.setEnable(req.getEnable());
		r.setId(req.getId());
		r.setIdentityNumber(req.getIdentityNumber());
		r.setName(req.getName());
		r.setOrgCode(req.getOrgCode());
		r.setOrgId(req.getOrgId());
		r.setOrgName(req.getOrgName());
		r.setPhoneNumber(req.getPhoneNumber());
		r.setPhotoPath(req.getPhotoPath());
		r.setRootOrgId(req.getRootOrgId());
		r.setSecurityPhone(req.getSecurityPhone());
		r.setStudentCode(req.getStudentCode());
		r.setSyncType(req.getSyncType());

		dataSyncService.sync("syncStudent", r, true);

		SyncStudentResp resp = new SyncStudentResp();
		return resp;
	}

	@PostMapping("syncSpecialty")
	@Override
	public SyncSpecialtyResp syncSpecialty(@RequestBody SyncSpecialtyReq req) {

		return null;
	}

	@PostMapping("syncExam")
	@Override
	public SyncExamResp syncExam(@RequestBody SyncExamReq req) {
		return null;
	}

	@PostMapping("syncExamStudent")
	@Override
	public SyncExamStudentResp syncExamStudent(@RequestBody SyncExamStudentReq req) {
		cn.com.qmth.examcloud.commons.api.request.SyncExamStudentReq r = new cn.com.qmth.examcloud.commons.api.request.SyncExamStudentReq();
		r.setSyncType(req.getSyncType());
		r.setCourseCode(req.getCourseCode());
		r.setCourseLevel(req.getCourseLevel());
		r.setCourseName(req.getCourseName());
		r.setExamId(req.getExamId());
		r.setExamName(req.getExamName());
		r.setId(req.getId());
		r.setIdentityNumber(req.getIdentityNumber());
		r.setPaperType(req.getPaperType());
		r.setRootOrgId(req.getRootOrgId());
		r.setStudentCode(req.getStudentCode());
		r.setStudentName(req.getStudentName());
		r.setStudentId(req.getStudentId());
		r.setOrgId(req.getOrgId());
		r.setOrgName(req.getOrgName());
		r.setOrgCode(req.getOrgCode());
		r.setCourseId(req.getCourseId());
		r.setSpecialtyName(req.getSpecialtyName());
		r.setGrade(req.getGrade());
		r.setRemark(req.getRemark());
		r.setInfoCollector(req.getInfoCollector());
		r.setExamSite(req.getExamSite());

		dataSyncService.sync("syncExamStudent", r, true);
		SyncExamStudentResp resp = new SyncExamStudentResp();
		return resp;
	}

}
