package cn.com.qmth.examcloud.task.dao.entity;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Lob;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 数据同步
 *
 * @author WANGWEI
 * @date 2018年8月2日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_T_DATA_SYNC")
public class DataSyncEntity extends JpaEntity {

	private static final long serialVersionUID = 1066874132817953168L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 同步请求组件
	 */
	private String component;

	/**
	 * 方法(反射调用)
	 */
	private String methodName;

	/**
	 * 参数类型
	 */
	private String paramType;

	/**
	 * 参数json
	 */
	@Lob
	private String paramJson;

	/**
	 * 同步次数
	 */
	private int syncNum;

	public String getComponent() {
		return component;
	}

	public void setComponent(String component) {
		this.component = component;
	}

	public String getMethodName() {
		return methodName;
	}

	public void setMethodName(String methodName) {
		this.methodName = methodName;
	}

	public String getParamType() {
		return paramType;
	}

	public void setParamType(String paramType) {
		this.paramType = paramType;
	}

	public String getParamJson() {
		return paramJson;
	}

	public void setParamJson(String paramJson) {
		this.paramJson = paramJson;
	}

	public int getSyncNum() {
		return syncNum;
	}

	public void setSyncNum(int syncNum) {
		this.syncNum = syncNum;
	}

}
