package cn.com.qmth.examcloud.task.dao.entity;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;
import cn.com.qmth.examcloud.task.dao.enums.ExamStudentImportStatus;

/**
 * 考生导入表
 *
 * @author WANGWEI
 * @date 2018年7月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
@Entity
@Table(name = "EC_T_EXAM_STUDENT_IMPORT", indexes = {
		@Index(name = "IDX_T_EXAM_STU_IMP_001001", columnList = "batchId", unique = true)})
public class ExamStudentImportEntity extends JpaEntity {

	private static final long serialVersionUID = -6030503185547639031L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 批次ID
	 */
	private Long batchId;

	/**
	 * 考试ID
	 */
	private Long examId;

	/**
	 * 顶级机构ID
	 */
	private Long rootOrgId;

	/**
	 * 状态
	 */
	@Enumerated(EnumType.STRING)
	private ExamStudentImportStatus status;

	/**
	 * 错误描述
	 */
	private String errorDesc;

	/**
	 * 文件名
	 */
	private String fileName;

	/**
	 * 文件路径
	 */
	private String filePath;

	/**
	 * 结果通知文件
	 */
	private String resultFilePath;

	/**
	 * 总条数
	 */
	private Long totalNum;

	/**
	 * 成功条数
	 */
	private Long successNum;

	/**
	 * 失败条数
	 */
	private Long failNum;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getBatchId() {
		return batchId;
	}

	public void setBatchId(Long batchId) {
		this.batchId = batchId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public ExamStudentImportStatus getStatus() {
		return status;
	}

	public void setStatus(ExamStudentImportStatus status) {
		this.status = status;
	}

	public String getErrorDesc() {
		return errorDesc;
	}

	public void setErrorDesc(String errorDesc) {
		this.errorDesc = errorDesc;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getResultFilePath() {
		return resultFilePath;
	}

	public void setResultFilePath(String resultFilePath) {
		this.resultFilePath = resultFilePath;
	}

	public Long getTotalNum() {
		return totalNum;
	}

	public void setTotalNum(Long totalNum) {
		this.totalNum = totalNum;
	}

	public Long getSuccessNum() {
		return successNum;
	}

	public void setSuccessNum(Long successNum) {
		this.successNum = successNum;
	}

	public Long getFailNum() {
		return failNum;
	}

	public void setFailNum(Long failNum) {
		this.failNum = failNum;
	}

}
