package cn.com.qmth.examcloud.task.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * 任务配置
 *
 * @author WANGWEI
 * @date 2018年3月7日
 * @Copyright (c) 2018-2020 WANGWEI [QQ:522080330] All Rights Reserved.
 */
@Entity
@Table(name = "EC_T_SCHEDULE_JOB")
public class ScheduleJobEntity extends JpaEntity {
	private static final long serialVersionUID = -1638993747996917970L;

	@Id
	@GeneratedValue
	private Long id;

	/**
	 * 任务名称
	 */
	@Column(unique = true, nullable = false)
	private String jobName;

	/**
	 * 任务分组
	 */
	@Column(unique = false, nullable = false)
	private String jobGroup;

	/**
	 * cron表达式
	 */
	@NotNull
	private String cronExpression;

	/**
	 * 描述
	 */
	private String description;

	/**
	 * Spring bean
	 */
	@NotNull
	private String springBean;

	/**
	 * 是否顺序执行
	 */
	private Boolean stateful;

	@NotNull
	private Boolean enable;

	private String ext1;

	private String ext2;

	private String ext3;

	private String ext4;

	private String ext5;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getJobName() {
		return jobName;
	}

	public void setJobName(String jobName) {
		this.jobName = jobName;
	}

	public String getJobGroup() {
		return jobGroup;
	}

	public void setJobGroup(String jobGroup) {
		this.jobGroup = jobGroup;
	}

	public String getCronExpression() {
		return cronExpression;
	}

	public void setCronExpression(String cronExpression) {
		this.cronExpression = cronExpression;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getSpringBean() {
		return springBean;
	}

	public void setSpringBean(String springBean) {
		this.springBean = springBean;
	}

	public Boolean getStateful() {
		return stateful;
	}

	public void setStateful(Boolean stateful) {
		this.stateful = stateful;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getExt1() {
		return ext1;
	}

	public void setExt1(String ext1) {
		this.ext1 = ext1;
	}

	public String getExt2() {
		return ext2;
	}

	public void setExt2(String ext2) {
		this.ext2 = ext2;
	}

	public String getExt3() {
		return ext3;
	}

	public void setExt3(String ext3) {
		this.ext3 = ext3;
	}

	public String getExt4() {
		return ext4;
	}

	public void setExt4(String ext4) {
		this.ext4 = ext4;
	}

	public String getExt5() {
		return ext5;
	}

	public void setExt5(String ext5) {
		this.ext5 = ext5;
	}

}