package cn.com.qmth.examcloud.task.service.job;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.com.qmth.examcloud.core.oe.student.api.OeStudentExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.student.face.api.ExamCaptureQueueCloudService;
import cn.com.qmth.examcloud.task.base.AbstractTask;
import cn.com.qmth.examcloud.task.base.ScheduleJob;
import cn.com.qmth.examcloud.task.base.TaskTracker;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月22日 下午2:25:22
 * @company 	QMTH
 * @description 将超过XX分钟，还在处理中抓拍照片的状态修改为未处理
 */
@Component("changeExamCaptureQueueStatusTask")
public class ChangeExamCaptureQueueStatusTask extends AbstractTask{
	
	@Autowired
	TaskTracker taskTracker;
	
	@Autowired
	private ExamCaptureQueueCloudService examCaptureQueueCloudService;
	
	@Override
	public void run(ScheduleJob scheduleJob) throws Exception {
		examCaptureQueueCloudService.changeExamCaptureQueueStatus();
	}

	@Override
	public TaskTracker getTaskTracker() {
		return taskTracker;
	}
	
	
}
